<?php
class ShowRecruitPage extends AbstractGamePage
{
	public static $requireModule = 0;

	function __construct(){
		parent::__construct();
	}

	function buy(){
		global $PLANET, $USER, $resource, $LNG;

		include('includes/recruit.php');

		$type		   = HTTP::_GP('type', '');

		$cost			= $recruit[$type]['cost'];	//цена 
		$db 			= Database::get();

		$sql			= 'UPDATE %%PLANETS%% SET';

		if(isset($recruit[$type]['fleetArray'])){ #Naves
			foreach($recruit[$type]['fleetArray'] as $shipId => $amount){
				$sql .= ' `'.$resource[$shipId].'` = `'.$resource[$shipId].'` + '.floattostring($amount).', ';
			}
		}

		if(isset($recruit[$type]['defendArray'])){ #Defensas
			foreach($recruit[$type]['defendArray'] as $shipId => $amount){
				$sql .= '`'.$resource[$shipId].'` = `'.$resource[$shipId].'` + '.floattostring($amount).', ';
			}
		}

		if(isset($recruit[$type]['buildArray'])){ #Construcciones
			foreach($recruit[$type]['buildArray'] as $buildId => $amount){
				$sql .= '`'.$resource[$buildId].'` = `'.$resource[$buildId].'` + '.floattostring($amount).', ';
			}
		}

		if(isset($recruit[$type]['resourcesArray'])){ #Recursos
			foreach($recruit[$type]['resourcesArray'] as $resourceId => $amount){
				$sql .= '`'.$resource[$resourceId].'` = `'.$resource[$resourceId].'` + '.floattostring($amount).', ';
			}
		}
		
		$sql .= 'WHERE `id` = :planetid';

		if($USER[$resource[921]] < $cost ) 
		{
			$this->printMessage($LNG['rec_error'], array(array(
				'label'	=> $LNG['sys_back'],
				'url'	=> '?page=recruit'
			)));
		}
		$USER[$resource[921]]			-= $cost;

		$db->update($sql, array(
			':planetid'		=> $PLANET['id']
		));

		if(isset($recruit[$type]['techArray'])){ #Tecnologias
			$rsql = 'UPDATE %%USERS%% SET';

			foreach($recruit[$type]['techArray'] as $techId => $amount){
				$sql .= '`'.$resource[$techId].'` = `'.$resource[$techId].'` + '.floattostring($amount).', ';
			}
		}

		$this->printMessage($LNG['rec_purchased'], array(array(
			'label'	=> $LNG['sys_back'],
			'url'	=> '?page=recruit'
		)));
	}

	function show()
	{
		global $LNG;
		include('includes/recruit.php');
		$this->tplObj->assign_vars(array(
			'recruits'		   => $recruit,			
		));
		$this->display('page.recruit.tpl');
	}
}
?>